Skip to content
Dashboard

List supported filters for a metric route

POST/v2/reports/filter-capabilities

Returns the filter attribute IDs supported by the selected metric and optional grouping route.

Use this operation before constructing metric-level filters. It applies the same routing rules as the dashboard and prevents clients from offering filters that the selected metric, group, or segment path cannot execute.

Version Availability

This endpoint is only available in API version 2026-01-01.nova and newer, and only for workspaces with the Reports product enabled (404 otherwise).

Header ParametersExpand Collapse
"Featurebase-Version": optional "2026-08-19.orbit" or "2026-01-01.nova" or "2025-12-12.clover"
One of the following:
"2026-08-19.orbit"
"2026-01-01.nova"
"2025-12-12.clover"
Body ParametersJSONExpand Collapse
metricId: string
minLength1
maxLength512
groupBy: optional string
minLength1
maxLength512
segmentBy: optional string
minLength1
maxLength512
ReturnsExpand Collapse
object: "report_metric_filter_capabilities"
supportedFilterAttributeIds: array of string

List supported filters for a metric route

curl https://do.featurebase.app/v2/reports/filter-capabilities \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $FEATUREBASE_API_KEY" \
    -d '{
          "metricId": "x"
        }'
{
  "object": "report_metric_filter_capabilities",
  "supportedFilterAttributeIds": [
    "string"
  ]
}
Returns Examples
{
  "object": "report_metric_filter_capabilities",
  "supportedFilterAttributeIds": [
    "string"
  ]
}